<template>
  <div>
    <Card>
      <template v-slot:header>
        <div class="flex justify-between w-full">
          <div>Plate {{computedIndex + 1}}</div>
          <div v-if="isMultiple && $store.state.editor.showPreview ">
            <span @click="openInCanvas">
              <Icon type="form" :class="{'opacity-30 hover:opacity-100 cursor-pointer': !isVisibleOnCanvas, 'text-gray-900':isVisibleOnCanvas }"/>
            </span>
          </div>
        </div>
      </template>
      <EditPanel
        :index="computedIndex" 
      />
    </Card>
  </div>
</template>

<script>
import Card from '@components/card/card.vue'
import EditPanel from '@components/edit-panel/edit-panel.vue'

export default {
  props: ['index'],
  components: { Card, EditPanel },
  computed: {
    computedIndex(){
      return this.index ?? (this.$route.params.item-1)
    },
    isMultiple(){
      return typeof(this.index) !== 'undefined'
    },
    isVisibleOnCanvas(){
      return this.index === (this.$route.params.item - 1)
    }
  },
  methods: {
    openInCanvas(){
      this.$emit('openInCanvas')
      this.$api.go(this.index + 1)
    }
  }
}
</script>